#
# spec file for package kpmcore
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sover 4
%bcond_without lang
Name:           kpmcore
Version:        3.0.3
Release:        1.1
Summary:        KDE Partition Manager core library
License:        GPL-3.0
Group:          Productivity/Office/Other
Url:            https://projects.kde.org/projects/extragear/sysadmin/kpmcore
Source:         http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE fix-build-with-older-parted.patch wbauer@tmo.at -- fix the build with parted 3.1 that's included in 13.2 and Leap 42
Patch1:         fix-build-with-older-parted.patch
BuildRequires:  extra-cmake-modules
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kio-devel
BuildRequires:  kservice-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  libatasmart-devel
BuildRequires:  libblkid-devel
BuildRequires:  parted-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core) >= 5.6.1
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
Requires:       libkpmcore%{sover} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library for managing partitions. Common code for KDE Partition Manager and other projects.

%package devel
Summary:        Development package for KDE Partition Manager core library
Group:          Development/Languages/C and C++
Requires:       libkpmcore%{sover} = %{version}

%description devel
Library for managing partitions. Common code for KDE Partition Manager and other projects.

Development package for kpmcore.

%package -n libkpmcore%{sover}
Summary:        KDE Partition Manager core library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n libkpmcore%{sover}
Library for managing partitions. Common code for KDE Partition Manager and other projects.

Main kpmcore library.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q
%if 0%{?suse_version} <= 1320
%patch1 -p1
%endif

%build
%cmake_kf5 -d build
%make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang kpmcore
  %endif

%post -n libkpmcore%{sover} -p /sbin/ldconfig
%postun -n libkpmcore%{sover} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.GPL3 INSTALL
%{_kf5_servicetypesdir}/*desktop
%{_kf5_plugindir}/*.so
%{_kf5_servicesdir}/*desktop

%files -n libkpmcore%{sover}
%defattr(-,root,root)
%doc COPYING.GPL3
%defattr(-,root,root,-)
%{_libdir}/libkpmcore.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/cmake/KPMcore/
%{_includedir}/kpmcore/
%{_libdir}/libkpmcore.so

%if %{with lang}
%files lang -f %{name}.lang
%defattr(-,root,root,-)
%endif

%changelog
* Sun Feb  5 2017 wbauer@tmo.at
- Update to 3.0.3
  * some fixes for LUKS encrypted LVM logical volumes
* Fri Jan  6 2017 wbauer@tmo.at
- Update to 3.0.2
  * some "used space" fixes that are essential for Calamares
* Wed Jan  4 2017 fabian@ritter-vogt.de
- Run spec-cleaner
* Mon Jan  2 2017 wbauer@tmo.at
- Update to 3.0.1
  * fixes a bug in partition resizing widget that might lead to a
    data loss
* Mon Dec 19 2016 fabian@ritter-vogt.de
- Update to 3.0.0
- Update fix-build-with-older-parted.patch
* Fri Aug 26 2016 wbauer@tmo.at
- Update to 2.2.1
- Adjust build requirements
- Add fix-build-with-older-parted.patch to fix build on 13.2 and
  Leap 42
- Remove fix-build.diff, it's not needed anymore
* Sun Jun 19 2016 jacobwinski@gmail.com
- Update to 2.2.0.
- Update shared library name in spec file to reflect SONAME.
- Update spec description to fix desc shorter than summary error.
- Update patch so that it applies to new version.
* Sun Apr  3 2016 hrvoje.senjan@gmail.com
- Update to 2.1.1
* Mon Jan 18 2016 tittiatcoke@gmail.com
- Initial version 2.0.0
